Name:		libkdcraw
Version:	0.1.1
Release:	1%{?dist}
Summary:	A library for decoding RAW picture files

Group:		Applications/Multimedia
License:	GPL
URL:		http://www.kipi-plugins.org/
Source0:	http://downloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	kdelibs-devel lcms-devel gettext pkgconfig

%description
libkdcraw is a C++ interface around dcraw binary program used to decode RAW
picture files. The library documentation is available on header files.

This library is used by kipi-plugins, digiKam and others kipi host programs.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.

%prep
%setup -q

%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh

%configure \
	--disable-rpath \
	--disable-debug \
	--disable-dependency-tracking \
	--enable-final \
	--enable-new-ldflags \
	--disable-warnings
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# hack, 0.1.1 is missing translations -- Rex
%find_lang %{name} || touch %{name}.lang

rm -f $RPM_BUILD_ROOT%{_libdir}/libkdcraw.la

%post
/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libkdcraw.so.*
%{_libdir}/libkdcraw1/
%{_datadir}/icons/hicolor/*/apps/kdcraw.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/libkdcraw/
%{_libdir}/pkgconfig/libkdcraw.pc
%{_libdir}/libkdcraw.so

%changelog
* Tue Jun 19 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.1-1
- Update to libkdcraw-0.1.1 (#244872)
- Spec fixes by Rex Dieter

* Tue May 29 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.0-2
- Add pkgconfig as devel Requires
- Change Source0 URL

* Tue May 08 2007 Marcin Garski <mgarski[AT]post.pl> 0.1.0-1
- Initial specfile
